Subject: Re: [PATCH net-next v5 01/22] rtnetlink: provide permanent hardware address in RTM_NEWLINK

From: Jiri Pirko <[email-masked]>
Date: Tue, 26 Mar 2019 12:38:05 +0100

Tue, Mar 26, 2019 at 11:31:15AM CET, [email-masked] wrote:
>On Tue, Mar 26, 2019 at 11:08:36AM +0100, Jiri Pirko wrote:
>> 
>> I don't think we should put permaddr if driver did not set it. 2
>> solutions:
>> 1) provide a helper that driver will use to set the perm_addr. This
>>    helper sets a "valid bit". Then you only put IFLA_PERM_ADDRESS
>>    in case the "valid bit" is set.
>> 2) Assuming that no driver would set permaddr to all zeroes,
>>    don't put IFLA_PERM_ADDRESS in case permadd is all zeroes.
>
>I already replied to similar suggestion in v4 discussion:
>
>  http://patchwork.ozlabs.org/patch/1060164/#2117512
>
>But I don't have really strong opinion about this. The problem with not
>being able to distinguish between "no/unknown permanent address" and
>"old kernel not providing the information" is going to become less
>important over time.

If the attribute is sent to userspace, it should mean the permaddr is
there and valid.

>Michal